HSI_EVENT(9)

NAME
hsi_event - Notifies clients about port events

SYNOPSIS

int hsi_event(struct hsi_port * port, unsigned long event);

ARGUMENTS

port
    Port where the event occurred

event
    The event type

DESCRIPTION

Clients should not be concerned about wake line behavior. However, due to a race condition in HSI HW protocol, clients need to be notified about wake line changes, so they can implement a workaround for it.

EVENTS

HSI_EVENT_START_RX - Incoming wake line high HSI_EVENT_STOP_RX - Incoming wake line down

Returns -errno on error, or 0 on success.

COPYRIGHT